Subject: bug#21959: [25.1.50.1] No way to save customization from emacs -Q

From: Eli Zaretskii <[email-masked]>
Date: Fri, 20 Nov 2015 12:05:19 +0200

> Date: Fri, 20 Nov 2015 10:05:03 +0100
> From: Andreas Röhler <[email-masked]>
> CC: [email-masked]
> 
> >> What is the rational for theses connection?
> > AFAIU, Customize cannot _update_ your settings (which might include
> > customizations of more than one feature) without _loading_ them from
> > your ~/.emacs first.  All it can do is to write out the few (usually,
> > just one) customizations you did in the "emacs -Q" session, replacing
> > whatever was there before.  This effectively "wipes out" what you had
> > there.
> 
> Hmm, editing a file doesn't require to load it before.

But this isn't editing.  AFAIU, Customize creates a
'custom-set-variables' section from internal Lisp data structures,
while distinguishing changes done by the user from other kinds of
changes, like those done by original ~/.emacs settings.

> While understanding it's easier to write a list down which was loaded:
> Here it must open the custom-file as plain-text and to replace the 
> section in question - if any.

I don't think it's that simple, see above; but I might be wrong.

> > Patches welcome.
> >
> 
> [ ... ]
> 
> Would the disclaimer signed be sufficient WRT copyright-issues?

IANAL, sorry.  I hope someone else will be able to answer that.